libzypp: zypp::media::MediaTimeoutException Class Reference

libzypp 17.25.10

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
zypp::media::MediaTimeoutException Class Reference

`#include <MediaException.h>`

Inheritance diagram for zypp::media::MediaTimeoutException:
[legend]

## Public Member Functions
| MediaTimeoutException (const Url &url_r, const std::string &msg="")
virtual | ~MediaTimeoutException () noexcept
Public Member Functions inherited from zypp::media::MediaException
| MediaException ()
| Ctor taking message. More...
| MediaException (const std::string &msg_r)
| Ctor taking message. More...
virtual | ~MediaException () noexcept override
| Dtor. More...
Public Member Functions inherited from zypp::Exception
| Exception ()
| Default ctor. More...
| Exception (const std::string &msg_r)
| Ctor taking a message. More...
| Exception (std::string &&msg_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
| Exception (const std::string &msg_r, const Exception &history_r)
| Ctor taking a message and an exception to remember as history. More...
| Exception (std::string &&msg_r, const Exception &history_r)
| Exception (const std::string &msg_r, Exception &&history_r)
| Exception (std::string &&msg_r, Exception &&history_r)
virtual | ~Exception () throw ()
| Dtor. More...
const CodeLocation & | where () const
| Return CodeLocation. More...
void | relocate (const CodeLocation &where_r) const
| Exchange location on rethrow. More...
const std::string & | msg () const
| Return the message string provided to the ctor. More...
std::string | asString () const
| Error message provided by dumpOn as string. More...
std::string | asUserString () const
| Translated error message as string suitable for the user. More...
void | remember (const Exception &old_r)
| Store an other Exception as history. More...
void | remember (Exception &&old_r)
void | addHistory (const std::string &msg_r)
| Add some message text to the history. More...
void | addHistory (std::string &&msg_r)
template<class TContainer >
void | addToHistory (const TContainer &msgc_r)
| addHistory from string container types (oldest first) More...
template<class TContainer >
void | moveToHistory (TContainer &&msgc_r)
| addHistory from string container types (oldest first) moving More...
HistoryIterator | historyBegin () const
| Iterator pointing to the most recent message. More...
HistoryIterator | historyEnd () const
| Iterator pointing behind the last message. More...
bool | historyEmpty () const
| Whether the history list is empty. More...
HistorySize | historySize () const
| The size of the history list. More...
std::string | historyAsString () const
| The history as string. More...
std::string | asUserHistory () const
| A single (multiline) string composed of asUserString and historyAsString. More...

## Protected Member Functions
virtual std::ostream & | dumpOn (std::ostream &str) const
| Overload this to print a proper error message. More...
Protected Member Functions inherited from zypp::Exception

## Protected Attributes
std::string | _url
std::string | _msg

## Additional Inherited Members
Public Types inherited from zypp::Exception
typedef exception_detail::CodeLocation | CodeLocation
typedef std::list< std::string > | History
typedef History::const_iterator | HistoryIterator
typedef History::size_type | HistorySize
Static Public Member Functions inherited from zypp::Exception
static std::string | strErrno (int errno_r)
| Make a string from errno_r. More...
static std::string | strErrno (int errno_r, const std::string &msg_r)
| Make a string from errno_r and msg_r. More...
static std::string | strErrno (int errno_r, std::string &&msg_r)
static void | log (const Exception &excpt_r, const CodeLocation &where_r, const char *const prefix_r)
| Drop a logline on throw, catch or rethrow. More...
static void | log (const char *typename_r, const CodeLocation &where_r, const char *const prefix_r)
| \overrload for not-Exception types thrown via ZYPP_THROW More...
Related Functions inherited from zypp::Exception
std::ostream & | operator<< (std::ostream &str, const Exception &obj)
| Stream output. More...

## Detailed Description

Definition at line 476 of file MediaException.h.

## Constructor & Destructor Documentation

## ◆ MediaTimeoutException()

zypp::media::MediaTimeoutException::MediaTimeoutException | ( | const Url & | url_r,
|  | const std::string & | msg = `""`
| ) |  |
| inline

Definition at line 479 of file MediaException.h.

## ◆ ~MediaTimeoutException()

virtual zypp::media::MediaTimeoutException::~MediaTimeoutException | ( |  | ) |
| inlinevirtualnoexcept

Definition at line 483 of file MediaException.h.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::media::MediaTimeoutException::dumpOn | ( | std::ostream & | str | ) | const
| protectedvirtual

Overload this to print a proper error message.

Reimplemented from zypp::Exception.

Definition at line 187 of file MediaException.cc.

## Member Data Documentation

## ◆ _url

std::string zypp::media::MediaTimeoutException::_url
| protected

Definition at line 486 of file MediaException.h.

## ◆ _msg

std::string zypp::media::MediaTimeoutException::_msg
| protected

Definition at line 487 of file MediaException.h.

The documentation for this class was generated from the following files:

- zypp/media/MediaException.h
- zypp/media/MediaException.cc